SQLTemplateParserTokenManager (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.template.parser, class: SQLTemplateParserTokenManager

# Class SQLTemplateParserTokenManager

java.lang.Object
org.apache.cayenne.template.parser.SQLTemplateParserTokenManager

All Implemented Interfaces:
  `SQLTemplateParserConstants`

public class SQLTemplateParserTokenManager extends Object implements SQLTemplateParserConstants
Token Manager.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected char`
  `curChar`
  `PrintStream`
  `debugStream`
  Debug output.
  `protected JavaCharStream`
  `input_stream`
  `static final int[]`
  `jjnewLexState`
  Lex State array.
  `static final String[]`
  `jjstrLiteralImages`
  Token literal values.
  `static final String[]`
  `lexStateNames`
  Lexer state names.

  ### Fields inherited from interface SQLTemplateParserConstants

  `ARGS, COMMA, DEC_DIGITS, DEC_FLT, DEFAULT, DIGIT, DOLLAR, DOT, DOUBLE_QUOTED_STRING, ELSE, END, EOF, ESC, EXPONENT, FALSE, FLOAT_LITERAL, FLT_SUFF, IDENTIFIER, IF, IN_SINGLE_LINE_COMMENT, INT_LITERAL, LBRACKET, LETTER, LSBRACKET, NOT_TEXT, RBRACKET, RSBRACKET, SHARP, SINGLE_LINE_COMMENT_END, SINGLE_QUOTED_STRING, STRING_ESC, TEXT, TEXT_OTHER, tokenImage, TRUE, WithinDoubleQuoteLiteral, WithinSingleQuoteLiteral`
  Modifier and Type
  Field
  Description
  `static final int`
  `ARGS`
  Lexical state.
  `static final int`
  `COMMA`
  RegularExpression Id.
  `static final int`
  `DEC_DIGITS`
  RegularExpression Id.
  `static final int`
  `DEC_FLT`
  RegularExpression Id.
  `static final int`
  `DEFAULT`
  Lexical state.
  `static final int`
  `DIGIT`
  RegularExpression Id.
  `static final int`
  `DOLLAR`
  RegularExpression Id.
  `static final int`
  `DOT`
  RegularExpression Id.
  `static final int`
  `DOUBLE_QUOTED_STRING`
  RegularExpression Id.
  `static final int`
  `ELSE`
  RegularExpression Id.
  `static final int`
  `END`
  RegularExpression Id.
  `static final int`
  `EOF`
  End of File.
  `static final int`
  `ESC`
  RegularExpression Id.
  `static final int`
  `EXPONENT`
  RegularExpression Id.
  `static final int`
  `FALSE`
  RegularExpression Id.
  `static final int`
  `FLOAT_LITERAL`
  RegularExpression Id.
  `static final int`
  `FLT_SUFF`
  RegularExpression Id.
  `static final int`
  `IDENTIFIER`
  RegularExpression Id.
  `static final int`
  `IF`
  RegularExpression Id.
  `static final int`
  `IN_SINGLE_LINE_COMMENT`
  Lexical state.
  `static final int`
  `INT_LITERAL`
  RegularExpression Id.
  `static final int`
  `LBRACKET`
  RegularExpression Id.
  `static final int`
  `LETTER`
  RegularExpression Id.
  `static final int`
  `LSBRACKET`
  RegularExpression Id.
  `static final int`
  `NOT_TEXT`
  Lexical state.
  `static final int`
  `RBRACKET`
  RegularExpression Id.
  `static final int`
  `RSBRACKET`
  RegularExpression Id.
  `static final int`
  `SHARP`
  RegularExpression Id.
  `static final int`
  `SINGLE_LINE_COMMENT_END`
  RegularExpression Id.
  `static final int`
  `SINGLE_QUOTED_STRING`
  RegularExpression Id.
  `static final int`
  `STRING_ESC`
  RegularExpression Id.
  `static final int`
  `TEXT`
  RegularExpression Id.
  `static final int`
  `TEXT_OTHER`
  RegularExpression Id.
  `static final String[]`
  `tokenImage`
  Literal token values.
  `static final int`
  `TRUE`
  RegularExpression Id.
  `static final int`
  `WithinDoubleQuoteLiteral`
  Lexical state.
  `static final int`
  `WithinSingleQuoteLiteral`
  Lexical state.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SQLTemplateParserTokenManager(JavaCharStream stream)`
  Constructor.
  `SQLTemplateParserTokenManager(JavaCharStream stream, int lexState)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Token`
  `getNextToken()`
  Get the next Token.
  `protected Token`
  `jjFillToken()`
  `void`
  `ReInit(JavaCharStream stream)`
  Reinitialise parser.
  `void`
  `ReInit(JavaCharStream stream, int lexState)`
  Reinitialise parser.
  `void`
  `setDebugStream(PrintStream ds)`
  Set debug output.
  `void`
  `SwitchTo(int lexState)`
  Switch to specified lex state.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### debugStream

    public PrintStream debugStream
    Debug output.

  - ### jjstrLiteralImages

    public static final String[] jjstrLiteralImages
    Token literal values.

  - ### lexStateNames

    public static final String[] lexStateNames
    Lexer state names.

  - ### jjnewLexState

    public static final int[] jjnewLexState
    Lex State array.

  - ### input_stream

    protected JavaCharStream input_stream

  - ### curChar

    protected char curChar

- ## Constructor Details

  - ### SQLTemplateParserTokenManager

    public SQLTemplateParserTokenManager(JavaCharStream stream)
    Constructor.

  - ### SQLTemplateParserTokenManager

    public SQLTemplateParserTokenManager(JavaCharStream stream, int lexState)
    Constructor.

- ## Method Details

  - ### setDebugStream

    public void setDebugStream(PrintStream ds)
    Set debug output.

  - ### jjFillToken

    protected Token jjFillToken()

  - ### getNextToken

    public Token getNextToken()
    Get the next Token.

  - ### ReInit

    public void ReInit(JavaCharStream stream)
    Reinitialise parser.

  - ### ReInit

    public void ReInit(JavaCharStream stream, int lexState)
    Reinitialise parser.

  - ### SwitchTo

    public void SwitchTo(int lexState)
    Switch to specified lex state.